com.holonplatform.vaadin.flow.components.builders

## Interface InputConverterBuilder<T,V,H extends com.vaadin.flow.component.HasValue<?,V>,C extends com.vaadin.flow.component.Component>

- Type Parameters:
    `T` - Input value type
    `V` - `HasValue` value type
    `H` - Concrete `HasValue` type
    `C` - Concrete `Component` type
  All Superinterfaces:
    ComponentConfigurator<InputConverterBuilder<T,V,H,C>>, HasElementConfigurator<InputConverterBuilder<T,V,H,C>>, InputAdapterBuilder<T,V,H,C,InputConverterBuilder<T,V,H,C>>, InputBuilder<T,ValueHolder.ValueChangeEvent<T>,Input<T>,ValidatableInput<T>,InputConverterBuilder<T,V,H,C>,ValidatableInputBuilder<T>>, InputConfigurator<T,ValueHolder.ValueChangeEvent<T>,InputConverterBuilder<T,V,H,C>>

      public interface InputConverterBuilder<T,V,H extends com.vaadin.flow.component.HasValue<?,V>,C extends com.vaadin.flow.component.Component>
      extends InputAdapterBuilder<T,V,H,C,InputConverterBuilder<T,V,H,C>>

  `Input` builder using an `HasValue` `Component` with value conversion support.
  Since:
    5.2.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.InputConfigurator

      `InputConfigurator.BaseInputConfigurator<T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentConfigurator

      `ComponentConfigurator.BaseComponentConfigurator`

  - ### Method Summary

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.InputAdapterBuilder

      `emptyValueSupplier, focusOperation, hasEnabledSupplier, hasSizeSupplier, hasStyleSupplier, hasValidationSupplier, hasValueChangeModeSupplier, invalidChangeEventNotifierSupplier, isEmptySupplier, labelPropertyHandler, labelPropertyHandler, placeholderPropertyHandler, placeholderPropertyHandler, requiredPropertyHandler, requiredPropertyHandler, titlePropertyHandler, titlePropertyHandler, valueSupplier, withValueChangeListeners`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.InputBuilder

      `build, validatable`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.InputConfigurator

      `readOnly, readOnly, required, required, withValueChangeListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentConfigurator

      `elementConfiguration, hidden, id, visible, withAttachListener, withDetachListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasElementConfigurator

      `withEventListener, withEventListener, withThemeName`

Copyright © 2019 The Holon Platform. All rights reserved.